GTETRINET(6)

NAME
GTetrinet - a Tetrinet client for X using Gtk+ and GNOME-libs.

SYNOPSIS
gtetrinet [options]

DESCRIPTION
This manual page documents briefly the gtetrinet command.

GTetrinet is a Tetrinet client using Gtk+ and GNOME-libs. Tetrinet is a variant of the popular Tetris brick game, that can be played simultaneously by 6 players. GTetrinet's goal is to remain completely compatible with the Windows, original client. Tetrinet clients need to connect to a dedicated server in order to be useful. GTetrient only provides the client part, but there are plenty of available servers around. Look at http://www.tetrinet.org/ for a list of servers.

There is also an implementation of the server for UNIX, called tetrinetx. You can find more info about it in http://tetrinetx.sourceforge.net/.

OPTIONS
GTetrinet accepts the following options, besides the usual Gtk+/GNOME switches:

-c, --connect=SERVER
    Connect to the specified server.

-?, --help
    Display a summary of commandline options.

-n, --nickname=NICKNAME
    Use the specified nickname on the servers.

-t, --team=TEAM
    Join the specified team name for teamplay.

-s, --spectate
    Connect to the server as an spectator.

-p, --password=PASSWORD
    Use the given password to connect as a spectator (if needed).

USAGE
To play Tetrinet, you first need to find a server where you can connect. You may try the servers at http://www.tetrinet.org/ or create your own using tetrinetx (a UNIX server, not included in this package).
Once inside a server, you'll be able to communicate with other players using the PartyLine tab, see the server's highscores in the Winlist tab and the actual game in the Playing Fields tab. You can switch between the three tabs using the Alt+1, Alt+2 and Alt+3 shortcuts.
Tetrinet is like Tetris, but multiplayer and with some additions. The goal of the game is to remain alive, by filling up other player's fields. There are some special blocks that can be used for your own benefit and against other players. They will appear randomly in your field, replacing previously existing blocks when you complete a line. You'll gain special blocks when you complete a line that contains one. It will be added to your inventory, which is just below your playfield. You need to use them in the order you collect them, by pressing the number of the player you want to use it against. For example, if your active block is "Add Line" and you want to use it against Player 3, you'd have to press "3" and Player 3 would get a line added in that instant. The following blocks are available:

    A block
        Add Line will add an incomplete line to the bottom of the selected player's field.

    B block
        This will remove all the special blocks from a player's field.

    C block
        Clear Line is the opposite to Add Line; it will remove a line from the top of the selected player's field.

    G block
        The Gravity block may be very useful if applied to a field which has lots of unfilled spaces all around. Blocks over them will fall into the gaps, making the puzzle collapse significantly.

    N block
        Nuke will clear the chosen playing field completely, as if they had just started the game. It's useful to help team mates or when you are about to lose.

    O block
        Block Bomb will clear 3x3 portions of a player's field where there are other O blocks. The blocks in the 3x3 area will get scattered anywhere around the field.

    Q block
        Quake will make each of the lines in a player's field shift to the left or right, or stay as they were.

    R block
        Random will remove 10 random blocks from the selected player's field.

    S block
        Switch allows you to swap your playing field with another player. This can be a deadly block if used with a bit of strategy.

HOMEPAGE
http://gtetrinet.sourceforge.net/

AUTHOR
This manual page was written by Jordi Mallach <jordi@debian.org>, for the Debian system (but may be used by others). Ka-shu Wong <zillidot@zillidot.net> is GTetrinet's main developer. You can find more information about GTetrinet in /usr/share/doc/gtetrinet.